Subject: Re: [yang-doctors] FAQ Entry: What should I do before asking YANG doctors

From: Benoit Claise <[email-masked]>
Date: Wed, 7 Sep 2016 12:39:08 +0200

Hi Mehmet,

One minor editorial change.
OLD: First of all read ​RFC6020 <https://tools.ietf.org/html/rfc6020> on 
“YANG - A Data Modeling Language for the Network Configuration Protocol 
(NETCONF)” and ​RFC6020bis document 
<https://tools.ietf.org/html/draft-ietf-netmod-rfc6020bis> (YANG 1.1) 
which is in IESG review.
NEW: First check if your question is not answered by ​RFC6020 
<https://tools.ietf.org/html/rfc6020> on “YANG - A Data Modeling 
Language for the Network Configuration Protocol (NETCONF)” or RFC7950 
(YANG 1.1)

Reading the 172 pages RFC6020 before asking a question to the 
YANG-doctors might appear as a non starter.

Thanks and regards, B.
>
> Hi Dan, All,
>
> please look for the entry in subject at the URL below:
>
> https://trac.tools.ietf.org/area/ops/trac/wiki/yang-doctors
>
> PS: I will provide in a parallel mail a proposal for how to organize 
> the pages under YANG doctors entry page, etc.
>
> Cheers,
> Mehmet
>
> *From:*Romascanu, Dan (Dan) [mailto:[email-masked]]
> *Sent:* Thursday, July 28, 2016 12:36 PM
> *To:* Ersue, Mehmet (Nokia - DE/Munich) <[email-masked]>; YANG 
> Doctors <[email-masked]>
> *Subject:* RE: [yang-doctors] FAQ Entry: What should I do before 
> asking YANG doctors
>
> This looks good to me. I have one issue only. The first bullet refers 
> to RFC 6020 and the second to 6020bis which is right now an I-D. Until 
> 6020bis is approved, should this text refer to both?
>
> Something like:
>
> OLD:
>
> - First of all read _RFC 6020_ on “YANG - A Data Modeling Language for 
> the Network Configuration Protocol (NETCONF)”.
>
> - If your answer is not in RFC6020bis please review following information:
>
> NEW:
>
> - First of all read _RFC 6020_ on “YANG - A Data Modeling Language for 
> the Network Configuration Protocol (NETCONF)” (YANG 1.0) and 
> https://datatracker.ietf.org/doc/draft-ietf-netmod-rfc6020bis/ (YANG 
> 1.1) which is in IESG review.
>
> - If your answer is not in RFC 6020 or in rfc6020bis please review 
> following information:
>
> Regards,
>
> Dan
>
> *From:*yang-doctors [mailto:[email-masked]] *On Behalf 
> Of *Ersue, Mehmet (Nokia - DE/Munich)
> *Sent:* Wednesday, July 27, 2016 9:33 PM
> *To:* YANG Doctors
> *Subject:* [yang-doctors] FAQ Entry: What should I do before asking 
> YANG doctors
>
> Hi All,
>
> we discussed in Berlin to add a first FAQ entry to explain what people 
> should do before asking YANG doctors.
>
> Please comment on the rough proposal below:
>
> - First of all read _RFC 6020_ on “YANG - A Data Modeling Language for 
> the Network Configuration Protocol (NETCONF)”.
>
> - If your answer is not in RFC6020bis please review following information:
>
>
>     - Read the questions and answers in the FAQ below.
>
> - Read _RFC 6087_ on “Guidelines for Authors and Reviewers of YANG 
> Data Model Documents”
>
> - Follow the tutorials:
>
>   - Working with YANG Data Models at 
> https://www.ietf.org/edu/technical-tutorials.html#yang 
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_edu_technical-2Dtutorials.html&d=CwMFAg&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=5NaLe1Fqc32RKR5Tb3QRBAPjm190rJhyJbuMvSXec8c&s=VcEIjGjXYclYN3vHbgZ6EZ4LhqkUtrZ45AwogwIXK7A&e=> 
>
>
>   - Network Configuration Management with NETCONF and YANG at 
> https://www.ietf.org/edu/technical-tutorials.html#netconfandyang 
> <https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_edu_technical-2Dtutorials.html&d=CwMFAg&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=5NaLe1Fqc32RKR5Tb3QRBAPjm190rJhyJbuMvSXec8c&s=VcEIjGjXYclYN3vHbgZ6EZ4LhqkUtrZ45AwogwIXK7A&e=> 
>
>
> - But also _RFC 6244 _on “An Architecture for Network Management Using 
> NETCONF and YANG”
>
> - You might be also interested to check additionally following pages 
> in the Internet:
>
> - http://www.yang-central.org/ 
> <https://urldefense.proofpoint.com/v2/url?u=http-3A__www.yang-2Dcentral.org_&d=CwMFAg&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=5NaLe1Fqc32RKR5Tb3QRBAPjm190rJhyJbuMvSXec8c&s=eYuY52ULiFA9TCQkP0cc7_tCLsl8ZHp4tpNaQ6Ly6Do&e=>
>
> - YANG related info at http://www.netconfcentral.org/ 
> <https://urldefense.proofpoint.com/v2/url?u=http-3A__www.netconfcentral.org_&d=CwMFAg&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=5NaLe1Fqc32RKR5Tb3QRBAPjm190rJhyJbuMvSXec8c&s=owKteRSZKeKpln6BcBOQyKpLkf14Sryq_colHkpsTHw&e=> 
>
>
> - If you still have questions write an email to [email-masked] 
> <mailto:[email-masked]> and describe your question and issues 
> with some examples.
>
> Cheers,
> Mehmet
>
> Cheers,
> Mehmet
>
>
>
> _______________________________________________
> yang-doctors mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/yang-doctors

---

From: "Ersue, Mehmet (Nokia - DE/Munich)" <[email-masked]>
Date: Thu, 8 Sep 2016 10:02:34 +0000

NP.

Done.

Cheers,
Mehmet

From: Benoit Claise [mailto:[email-masked]]
Sent: Wednesday, September 07, 2016 12:39 PM
To: Ersue, Mehmet (Nokia - DE/Munich) <[email-masked]>; Romascanu, Dan (Dan) <[email-masked]>; YANG Doctors <[email-masked]>
Subject: Re: [yang-doctors] FAQ Entry: What should I do before asking YANG doctors

Hi Mehmet,

One minor editorial change.
OLD: First of all read ​RFC6020<https://tools.ietf.org/html/rfc6020> on “YANG - A Data Modeling Language for the Network Configuration Protocol (NETCONF)” and ​RFC6020bis document<https://tools.ietf.org/html/draft-ietf-netmod-rfc6020bis> (YANG 1.1) which is in IESG review.

NEW: First check if your question is not answered by ​RFC6020<https://tools.ietf.org/html/rfc6020> on “YANG - A Data Modeling Language for the Network Configuration Protocol (NETCONF)” or RFC7950 (YANG 1.1)

Reading the 172 pages RFC6020 before asking a question to the YANG-doctors might appear as a non starter.

Thanks and regards, B.
Hi Dan, All,

PS: I will provide in a parallel mail a proposal for how to organize the pages under YANG doctors entry page, etc.

Cheers,
Mehmet

From: Romascanu, Dan (Dan) [mailto:[email-masked]]
Sent: Thursday, July 28, 2016 12:36 PM
To: Ersue, Mehmet (Nokia - DE/Munich) <[email-masked]><mailto:[email-masked]>; YANG Doctors <[email-masked]><mailto:[email-masked]>
Subject: RE: [yang-doctors] FAQ Entry: What should I do before asking YANG doctors

This looks good to me. I have one issue only. The first bullet refers to RFC 6020 and the second to 6020bis which is right now an I-D. Until 6020bis is approved, should this text refer to both?

Something like:

OLD:

- First of all read RFC 6020 on “YANG - A Data Modeling Language for the Network Configuration Protocol (NETCONF)”.

NEW:

- First of all read RFC 6020 on “YANG - A Data Modeling Language for the Network Configuration Protocol (NETCONF)” (YANG 1.0) and https://datatracker.ietf.org/doc/draft-ietf-netmod-rfc6020bis/ (YANG 1.1) which is in IESG review.

- If your answer is not in RFC 6020 or in rfc6020bis please review following information:

Regards,

Dan

From: yang-doctors [mailto:[email-masked]] On Behalf Of Ersue, Mehmet (Nokia - DE/Munich)
Sent: Wednesday, July 27, 2016 9:33 PM
To: YANG Doctors
Subject: [yang-doctors] FAQ Entry: What should I do before asking YANG doctors

Hi All,

we discussed in Berlin to add a first FAQ entry to explain what people should do before asking YANG doctors.

- First of all read RFC 6020 on “YANG - A Data Modeling Language for the Network Configuration Protocol (NETCONF)”.

    - Read the questions and answers in the FAQ below.
    - Read RFC 6087 on “Guidelines for Authors and Reviewers of YANG Data Model Documents”
    - Follow the tutorials:
        - Working with YANG Data Models at https://www.ietf.org/edu/technical-tutorials.html#yang<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_edu_technical-2Dtutorials.html&d=CwMFAg&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=5NaLe1Fqc32RKR5Tb3QRBAPjm190rJhyJbuMvSXec8c&s=VcEIjGjXYclYN3vHbgZ6EZ4LhqkUtrZ45AwogwIXK7A&e=>
        - Network Configuration Management with NETCONF and YANG at https://www.ietf.org/edu/technical-tutorials.html#netconfandyang<https://urldefense.proofpoint.com/v2/url?u=https-3A__www.ietf.org_edu_technical-2Dtutorials.html&d=CwMFAg&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=5NaLe1Fqc32RKR5Tb3QRBAPjm190rJhyJbuMvSXec8c&s=VcEIjGjXYclYN3vHbgZ6EZ4LhqkUtrZ45AwogwIXK7A&e=>

     - But also RFC 6244 on “An Architecture for Network Management Using NETCONF and YANG”
     - You might be also interested to check additionally following pages in the Internet:
         - http://www.yang-central.org/<https://urldefense.proofpoint.com/v2/url?u=http-3A__www.yang-2Dcentral.org_&d=CwMFAg&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=5NaLe1Fqc32RKR5Tb3QRBAPjm190rJhyJbuMvSXec8c&s=eYuY52ULiFA9TCQkP0cc7_tCLsl8ZHp4tpNaQ6Ly6Do&e=>
         - YANG related info at http://www.netconfcentral.org/<https://urldefense.proofpoint.com/v2/url?u=http-3A__www.netconfcentral.org_&d=CwMFAg&c=BFpWQw8bsuKpl1SgiZH64Q&r=I4dzGxR31OcNXCJfQzvlsiLQfucBXRucPvdrphpBsFA&m=5NaLe1Fqc32RKR5Tb3QRBAPjm190rJhyJbuMvSXec8c&s=owKteRSZKeKpln6BcBOQyKpLkf14Sryq_colHkpsTHw&e=>

- If you still have questions write an email to [email-masked]<mailto:[email-masked]> and describe your question and issues with some examples.

Cheers,
Mehmet

Cheers,
Mehmet

[email-masked]<mailto:[email-masked]>